Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370

## User

Description
Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370

A class to handle reading, writing, viewing, editing and validating usr records.

Located in /User.php (line 34)

    DBRecord
       |
       --User

Method Summary
User User (int $id, [string $prefix = ""])
boolean AllowedTo (string $whatever)
void GetRoles ()
string Render ()
string RenderFields (object $ef, [string $title = null])
string RenderRoles ( $ef, [ $title = null])
boolean Validate ()
Success. Write ()
Success. WriteRoles ()
Variables
Strict Standards: Only variables should be passed by reference in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 712 Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370

#### Inherited Variables

Inherited from DBRecord

> DBRecord::$EditMode

Methods
Strict Standards: Only variables should be passed by reference in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 712 Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370
Constructor User (line 57)

The constructor initialises a new record, potentially reading it from the database.

User User (int $id, [string $prefix = ""])

- int $id: The user_no, or 0 if we are creating a new one
- string $prefix: The prefix for entry fields

AllowedTo (line 98)

Can the user do this?

- return: Whether they are allowed to.

boolean AllowedTo (string $whatever)

- string $whatever: What the user wants to do

GetRoles (line 149)

Get the group memberships for the user

void GetRoles ()
Render (line 164)

Render the form / viewer as HTML to show the user

- return: An HTML fragment to display in the page.

string Render ()
RenderFields (line 198)

Render the core details to show to the user

- return: An HTML fragment to display in the page.

string RenderFields (object $ef, [string $title = null])

- object $ef: The entry form.
- string $title: The title to display above the entry fields.

RenderRoles (line 269)

Render the user's administrative roles

- return: The string of html to be output

string RenderRoles ( $ef, [ $title = null])

- $ef
- $title

Validate (line 315)

Validate the information the user submitted

- return: Whether the form data validated OK.

boolean Validate ()
Write (line 349)

Write the User record.

Success. Write ()

Redefinition of:

DBRecord::Write()
  To write the record to the database

WriteRoles (line 377)

Write the roles associated with the user

Success. WriteRoles ()

#### Inherited Methods

Inherited From DBRecord

> DBRecord::DBRecord()
> DBRecord::AddTable()
> DBRecord::Get()
> DBRecord::Initialise()
> DBRecord::PostToValues()
> DBRecord::Read()
> DBRecord::Set()
> DBRecord::Undefine()
> DBRecord::Write()
> DBRecord::_BuildFieldList()
> DBRecord::_BuildJoinClause()
> DBRecord::_BuildWhereClause()

Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370

Documentation generated on Wed, 04 Jul 2012 07:06:16 +0000 by phpDocumentor 1.4.3